> For the complete documentation index, see [llms.txt](https://docs.loomai.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.loomai.com/api/avatars/create.md).

# Create

Creates a new avatar.

### POST /avatars

#### Request

Supported mimetypes are `image/png`, `image/jpeg`.

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST "https://api.loomai.com/v0.5/avatars" \
  -H "Content-Type: multipart/form-data" \
  -F "image=@{IMAGE_FILE};type=image/jpeg"
```

{% endtab %}

{% tab title="Example" %}

```bash
curl -X POST "https://api.loomai.com/v0.5/avatars" \
  -H "Content-Type: multipart/form-data" \
  -F "image=@image.jpg;type=image/jpeg"
```

{% endtab %}
{% endtabs %}

| Parameter | Transport | Type      | Description                                                                                                                               |
| --------- | --------- | --------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| `image`   | `form`    | `file`    | Photo.                                                                                                                                    |
| `random`  | `query`   | `integer` | (Optional) Permutation of random personalizations. Accepts range `0-30` whereas `0` is disabled (default).                                |
| `solve`   | `query`   | `boolean` | Disable default solve. See [Create Avatar & Render (fast)](/guides/create-avatar-and-render-fast.md) for further information.             |
| `render`  | `query`   | `boolean` | Disable default preview rendering. See [Create Avatar & Render (fast)](/guides/create-avatar-and-render-fast.md) for further information. |

#### Response

{% tabs %}
{% tab title="Schema" %}

```http
HTTP/1.1 201 Created
X-Loom-Status: [AVATAR_ID]
```

{% endtab %}

{% tab title="Example" %}

```http
HTTP/1.1 201 Created
X-Loom-Status: 5723980430835712
```

{% endtab %}
{% endtabs %}
